pragma Ada_95;
with System;
with System.Scalar_Values;
package ada_main is
   pragma Warnings (Off);

   gnat_argc : Integer;
   gnat_argv : System.Address;
   gnat_envp : System.Address;

   pragma Import (C, gnat_argc);
   pragma Import (C, gnat_argv);
   pragma Import (C, gnat_envp);

   gnat_exit_status : Integer;
   pragma Import (C, gnat_exit_status);

   GNAT_Version : constant String :=
                    "GNAT Version: 4.9" & ASCII.NUL;
   pragma Export (C, GNAT_Version, "__gnat_version");

   Ada_Main_Program_Name : constant String := "_ada_gen_codeset" & ASCII.NUL;
   pragma Export (C, Ada_Main_Program_Name, "__gnat_ada_main_program_name");

   procedure adainit;
   pragma Export (C, adainit, "adainit");

   procedure adafinal;
   pragma Export (C, adafinal, "adafinal");

   function main
     (argc : Integer;
      argv : System.Address;
      envp : System.Address)
      return Integer;
   pragma Export (C, main, "main");

   type Version_32 is mod 2 ** 32;
   u00001 : constant Version_32 := 16#d933334e#;
   pragma Export (C, u00001, "gen_codesetB");
   u00002 : constant Version_32 := 16#a964624f#;
   pragma Export (C, u00002, "system__standard_libraryB");
   u00003 : constant Version_32 := 16#23db6462#;
   pragma Export (C, u00003, "system__standard_libraryS");
   u00004 : constant Version_32 := 16#3ffc8e18#;
   pragma Export (C, u00004, "adaS");
   u00005 : constant Version_32 := 16#f4920476#;
   pragma Export (C, u00005, "ada__command_lineB");
   u00006 : constant Version_32 := 16#d59e21a4#;
   pragma Export (C, u00006, "ada__command_lineS");
   u00007 : constant Version_32 := 16#72a1f35b#;
   pragma Export (C, u00007, "systemS");
   u00008 : constant Version_32 := 16#643ddf46#;
   pragma Export (C, u00008, "system__secondary_stackB");
   u00009 : constant Version_32 := 16#d9c03c32#;
   pragma Export (C, u00009, "system__secondary_stackS");
   u00010 : constant Version_32 := 16#65bb1402#;
   pragma Export (C, u00010, "system__parametersB");
   u00011 : constant Version_32 := 16#d92d4731#;
   pragma Export (C, u00011, "system__parametersS");
   u00012 : constant Version_32 := 16#77a147eb#;
   pragma Export (C, u00012, "system__soft_linksB");
   u00013 : constant Version_32 := 16#83c1a8e6#;
   pragma Export (C, u00013, "system__soft_linksS");
   u00014 : constant Version_32 := 16#0bd54a33#;
   pragma Export (C, u00014, "ada__exceptionsB");
   u00015 : constant Version_32 := 16#033bf087#;
   pragma Export (C, u00015, "ada__exceptionsS");
   u00016 : constant Version_32 := 16#51ba2b93#;
   pragma Export (C, u00016, "ada__exceptions__last_chance_handlerB");
   u00017 : constant Version_32 := 16#909606f8#;
   pragma Export (C, u00017, "ada__exceptions__last_chance_handlerS");
   u00018 : constant Version_32 := 16#7ff7f3a3#;
   pragma Export (C, u00018, "system__exception_tableB");
   u00019 : constant Version_32 := 16#8e23bb66#;
   pragma Export (C, u00019, "system__exception_tableS");
   u00020 : constant Version_32 := 16#c3335bfd#;
   pragma Export (C, u00020, "system__htableB");
   u00021 : constant Version_32 := 16#f66340b1#;
   pragma Export (C, u00021, "system__htableS");
   u00022 : constant Version_32 := 16#089f5cd0#;
   pragma Export (C, u00022, "system__string_hashB");
   u00023 : constant Version_32 := 16#543d2bcf#;
   pragma Export (C, u00023, "system__string_hashS");
   u00024 : constant Version_32 := 16#9e373b74#;
   pragma Export (C, u00024, "system__exceptionsB");
   u00025 : constant Version_32 := 16#4abf55f9#;
   pragma Export (C, u00025, "system__exceptionsS");
   u00026 : constant Version_32 := 16#8a0272a6#;
   pragma Export (C, u00026, "system__exceptions__machineS");
   u00027 : constant Version_32 := 16#a2eb6533#;
   pragma Export (C, u00027, "system__exceptions_debugB");
   u00028 : constant Version_32 := 16#89a6e2e3#;
   pragma Export (C, u00028, "system__exceptions_debugS");
   u00029 : constant Version_32 := 16#570325c8#;
   pragma Export (C, u00029, "system__img_intB");
   u00030 : constant Version_32 := 16#707a1399#;
   pragma Export (C, u00030, "system__img_intS");
   u00031 : constant Version_32 := 16#39a03df9#;
   pragma Export (C, u00031, "system__storage_elementsB");
   u00032 : constant Version_32 := 16#5f62b95f#;
   pragma Export (C, u00032, "system__storage_elementsS");
   u00033 : constant Version_32 := 16#ff5c7695#;
   pragma Export (C, u00033, "system__tracebackB");
   u00034 : constant Version_32 := 16#5aa56c06#;
   pragma Export (C, u00034, "system__tracebackS");
   u00035 : constant Version_32 := 16#8c33a517#;
   pragma Export (C, u00035, "system__wch_conB");
   u00036 : constant Version_32 := 16#69dcd189#;
   pragma Export (C, u00036, "system__wch_conS");
   u00037 : constant Version_32 := 16#9721e840#;
   pragma Export (C, u00037, "system__wch_stwB");
   u00038 : constant Version_32 := 16#44cdfd88#;
   pragma Export (C, u00038, "system__wch_stwS");
   u00039 : constant Version_32 := 16#9b29844d#;
   pragma Export (C, u00039, "system__wch_cnvB");
   u00040 : constant Version_32 := 16#666b6b7a#;
   pragma Export (C, u00040, "system__wch_cnvS");
   u00041 : constant Version_32 := 16#69adb1b9#;
   pragma Export (C, u00041, "interfacesS");
   u00042 : constant Version_32 := 16#ece6fdb6#;
   pragma Export (C, u00042, "system__wch_jisB");
   u00043 : constant Version_32 := 16#e61b725b#;
   pragma Export (C, u00043, "system__wch_jisS");
   u00044 : constant Version_32 := 16#8cb17bcd#;
   pragma Export (C, u00044, "system__traceback_entriesB");
   u00045 : constant Version_32 := 16#c7b093c9#;
   pragma Export (C, u00045, "system__traceback_entriesS");
   u00046 : constant Version_32 := 16#41837d1e#;
   pragma Export (C, u00046, "system__stack_checkingB");
   u00047 : constant Version_32 := 16#fc1e98b3#;
   pragma Export (C, u00047, "system__stack_checkingS");
   u00048 : constant Version_32 := 16#1b5643e2#;
   pragma Export (C, u00048, "ada__streamsB");
   u00049 : constant Version_32 := 16#2564c958#;
   pragma Export (C, u00049, "ada__streamsS");
   u00050 : constant Version_32 := 16#db5c917c#;
   pragma Export (C, u00050, "ada__io_exceptionsS");
   u00051 : constant Version_32 := 16#08ba48f3#;
   pragma Export (C, u00051, "ada__tagsB");
   u00052 : constant Version_32 := 16#0c9b3e97#;
   pragma Export (C, u00052, "ada__tagsS");
   u00053 : constant Version_32 := 16#23a761f4#;
   pragma Export (C, u00053, "system__unsigned_typesS");
   u00054 : constant Version_32 := 16#4266b2a8#;
   pragma Export (C, u00054, "system__val_unsB");
   u00055 : constant Version_32 := 16#330f8ccf#;
   pragma Export (C, u00055, "system__val_unsS");
   u00056 : constant Version_32 := 16#27b600b2#;
   pragma Export (C, u00056, "system__val_utilB");
   u00057 : constant Version_32 := 16#de0145a5#;
   pragma Export (C, u00057, "system__val_utilS");
   u00058 : constant Version_32 := 16#d1060688#;
   pragma Export (C, u00058, "system__case_utilB");
   u00059 : constant Version_32 := 16#56a89a8c#;
   pragma Export (C, u00059, "system__case_utilS");
   u00060 : constant Version_32 := 16#65925af1#;
   pragma Export (C, u00060, "ada__streams__stream_ioB");
   u00061 : constant Version_32 := 16#68da1e56#;
   pragma Export (C, u00061, "ada__streams__stream_ioS");
   u00062 : constant Version_32 := 16#e0b7a7e8#;
   pragma Export (C, u00062, "interfaces__c_streamsB");
   u00063 : constant Version_32 := 16#6c8b8ac5#;
   pragma Export (C, u00063, "interfaces__c_streamsS");
   u00064 : constant Version_32 := 16#5d232f26#;
   pragma Export (C, u00064, "system__crtlS");
   u00065 : constant Version_32 := 16#5de653db#;
   pragma Export (C, u00065, "system__communicationB");
   u00066 : constant Version_32 := 16#ea77dd1c#;
   pragma Export (C, u00066, "system__communicationS");
   u00067 : constant Version_32 := 16#ec6e1273#;
   pragma Export (C, u00067, "system__file_ioB");
   u00068 : constant Version_32 := 16#e3e0927c#;
   pragma Export (C, u00068, "system__file_ioS");
   u00069 : constant Version_32 := 16#8cbe6205#;
   pragma Export (C, u00069, "ada__finalizationB");
   u00070 : constant Version_32 := 16#22e22193#;
   pragma Export (C, u00070, "ada__finalizationS");
   u00071 : constant Version_32 := 16#95817ed8#;
   pragma Export (C, u00071, "system__finalization_rootB");
   u00072 : constant Version_32 := 16#3d5380cb#;
   pragma Export (C, u00072, "system__finalization_rootS");
   u00073 : constant Version_32 := 16#769e25e6#;
   pragma Export (C, u00073, "interfaces__cB");
   u00074 : constant Version_32 := 16#96001448#;
   pragma Export (C, u00074, "interfaces__cS");
   u00075 : constant Version_32 := 16#d0432c8d#;
   pragma Export (C, u00075, "system__img_enum_newB");
   u00076 : constant Version_32 := 16#13edf59b#;
   pragma Export (C, u00076, "system__img_enum_newS");
   u00077 : constant Version_32 := 16#0c4d9a51#;
   pragma Export (C, u00077, "system__os_libB");
   u00078 : constant Version_32 := 16#fc501b71#;
   pragma Export (C, u00078, "system__os_libS");
   u00079 : constant Version_32 := 16#1a817b8e#;
   pragma Export (C, u00079, "system__stringsB");
   u00080 : constant Version_32 := 16#0c1ee23d#;
   pragma Export (C, u00080, "system__stringsS");
   u00081 : constant Version_32 := 16#38b89224#;
   pragma Export (C, u00081, "system__file_control_blockS");
   u00082 : constant Version_32 := 16#1f8826cb#;
   pragma Export (C, u00082, "system__finalization_mastersB");
   u00083 : constant Version_32 := 16#3da29f42#;
   pragma Export (C, u00083, "system__finalization_mastersS");
   u00084 : constant Version_32 := 16#57a37a42#;
   pragma Export (C, u00084, "system__address_imageB");
   u00085 : constant Version_32 := 16#d34d6e61#;
   pragma Export (C, u00085, "system__address_imageS");
   u00086 : constant Version_32 := 16#7268f812#;
   pragma Export (C, u00086, "system__img_boolB");
   u00087 : constant Version_32 := 16#877882b0#;
   pragma Export (C, u00087, "system__img_boolS");
   u00088 : constant Version_32 := 16#d7aac20c#;
   pragma Export (C, u00088, "system__ioB");
   u00089 : constant Version_32 := 16#ece30414#;
   pragma Export (C, u00089, "system__ioS");
   u00090 : constant Version_32 := 16#6d4d969a#;
   pragma Export (C, u00090, "system__storage_poolsB");
   u00091 : constant Version_32 := 16#bcef3186#;
   pragma Export (C, u00091, "system__storage_poolsS");
   u00092 : constant Version_32 := 16#e34550ca#;
   pragma Export (C, u00092, "system__pool_globalB");
   u00093 : constant Version_32 := 16#c88d2d16#;
   pragma Export (C, u00093, "system__pool_globalS");
   u00094 : constant Version_32 := 16#6810466c#;
   pragma Export (C, u00094, "system__memoryB");
   u00095 : constant Version_32 := 16#2bdc956f#;
   pragma Export (C, u00095, "system__memoryS");
   u00096 : constant Version_32 := 16#1220f12d#;
   pragma Export (C, u00096, "system__storage_pools__subpoolsB");
   u00097 : constant Version_32 := 16#b0e8cddc#;
   pragma Export (C, u00097, "system__storage_pools__subpoolsS");
   u00098 : constant Version_32 := 16#aba9f469#;
   pragma Export (C, u00098, "system__storage_pools__subpools__finalizationB");
   u00099 : constant Version_32 := 16#9662cb63#;
   pragma Export (C, u00099, "system__storage_pools__subpools__finalizationS");
   u00100 : constant Version_32 := 16#9a3f0a9b#;
   pragma Export (C, u00100, "ada__text_ioB");
   u00101 : constant Version_32 := 16#c5d2ef22#;
   pragma Export (C, u00101, "ada__text_ioS");
   u00102 : constant Version_32 := 16#f6fdca1c#;
   pragma Export (C, u00102, "ada__text_io__integer_auxB");
   u00103 : constant Version_32 := 16#b9793d30#;
   pragma Export (C, u00103, "ada__text_io__integer_auxS");
   u00104 : constant Version_32 := 16#cd6ba629#;
   pragma Export (C, u00104, "ada__text_io__generic_auxB");
   u00105 : constant Version_32 := 16#a6c327d3#;
   pragma Export (C, u00105, "ada__text_io__generic_auxS");
   u00106 : constant Version_32 := 16#d48b4eeb#;
   pragma Export (C, u00106, "system__img_biuB");
   u00107 : constant Version_32 := 16#e585e9b9#;
   pragma Export (C, u00107, "system__img_biuS");
   u00108 : constant Version_32 := 16#2b864520#;
   pragma Export (C, u00108, "system__img_llbB");
   u00109 : constant Version_32 := 16#a442f947#;
   pragma Export (C, u00109, "system__img_llbS");
   u00110 : constant Version_32 := 16#9777733a#;
   pragma Export (C, u00110, "system__img_lliB");
   u00111 : constant Version_32 := 16#63eea68a#;
   pragma Export (C, u00111, "system__img_lliS");
   u00112 : constant Version_32 := 16#c2d63ebb#;
   pragma Export (C, u00112, "system__img_llwB");
   u00113 : constant Version_32 := 16#0d2edad1#;
   pragma Export (C, u00113, "system__img_llwS");
   u00114 : constant Version_32 := 16#8ed53197#;
   pragma Export (C, u00114, "system__img_wiuB");
   u00115 : constant Version_32 := 16#8bc46e2b#;
   pragma Export (C, u00115, "system__img_wiuS");
   u00116 : constant Version_32 := 16#f8f38c17#;
   pragma Export (C, u00116, "system__val_intB");
   u00117 : constant Version_32 := 16#3a04d964#;
   pragma Export (C, u00117, "system__val_intS");
   u00118 : constant Version_32 := 16#e892b88e#;
   pragma Export (C, u00118, "system__val_lliB");
   u00119 : constant Version_32 := 16#e88515fb#;
   pragma Export (C, u00119, "system__val_lliS");
   u00120 : constant Version_32 := 16#1e25d3f1#;
   pragma Export (C, u00120, "system__val_lluB");
   u00121 : constant Version_32 := 16#59553686#;
   pragma Export (C, u00121, "system__val_lluS");
   u00122 : constant Version_32 := 16#fd2ad2f1#;
   pragma Export (C, u00122, "gnatS");
   u00123 : constant Version_32 := 16#a7230bda#;
   pragma Export (C, u00123, "system__assertionsB");
   u00124 : constant Version_32 := 16#bf2cdfcf#;
   pragma Export (C, u00124, "system__assertionsS");
   u00125 : constant Version_32 := 16#dfb02f8b#;
   pragma Export (C, u00125, "system__scalar_valuesB");
   u00126 : constant Version_32 := 16#cc05f40c#;
   pragma Export (C, u00126, "system__scalar_valuesS");
   --  BEGIN ELABORATION ORDER
   --  ada%s
   --  ada.command_line%s
   --  gnat%s
   --  interfaces%s
   --  system%s
   --  system.case_util%s
   --  system.case_util%b
   --  system.htable%s
   --  system.img_bool%s
   --  system.img_bool%b
   --  system.img_enum_new%s
   --  system.img_enum_new%b
   --  system.img_int%s
   --  system.img_int%b
   --  system.img_lli%s
   --  system.img_lli%b
   --  system.io%s
   --  system.io%b
   --  system.parameters%s
   --  system.parameters%b
   --  system.crtl%s
   --  interfaces.c_streams%s
   --  interfaces.c_streams%b
   --  system.standard_library%s
   --  system.exceptions_debug%s
   --  system.exceptions_debug%b
   --  system.storage_elements%s
   --  system.storage_elements%b
   --  system.stack_checking%s
   --  system.stack_checking%b
   --  system.string_hash%s
   --  system.string_hash%b
   --  system.htable%b
   --  system.strings%s
   --  system.strings%b
   --  system.os_lib%s
   --  system.traceback_entries%s
   --  system.traceback_entries%b
   --  ada.exceptions%s
   --  system.soft_links%s
   --  system.unsigned_types%s
   --  system.img_biu%s
   --  system.img_biu%b
   --  system.img_llb%s
   --  system.img_llb%b
   --  system.img_llw%s
   --  system.img_llw%b
   --  system.img_wiu%s
   --  system.img_wiu%b
   --  system.val_int%s
   --  system.val_lli%s
   --  system.val_llu%s
   --  system.val_uns%s
   --  system.val_util%s
   --  system.val_util%b
   --  system.val_uns%b
   --  system.val_llu%b
   --  system.val_lli%b
   --  system.val_int%b
   --  system.wch_con%s
   --  system.wch_con%b
   --  system.wch_cnv%s
   --  system.wch_jis%s
   --  system.wch_jis%b
   --  system.wch_cnv%b
   --  system.wch_stw%s
   --  system.wch_stw%b
   --  ada.exceptions.last_chance_handler%s
   --  ada.exceptions.last_chance_handler%b
   --  system.address_image%s
   --  system.exception_table%s
   --  system.exception_table%b
   --  ada.io_exceptions%s
   --  ada.tags%s
   --  ada.streams%s
   --  ada.streams%b
   --  interfaces.c%s
   --  system.communication%s
   --  system.communication%b
   --  system.exceptions%s
   --  system.exceptions%b
   --  system.exceptions.machine%s
   --  system.finalization_root%s
   --  system.finalization_root%b
   --  ada.finalization%s
   --  ada.finalization%b
   --  system.storage_pools%s
   --  system.storage_pools%b
   --  system.finalization_masters%s
   --  system.storage_pools.subpools%s
   --  system.storage_pools.subpools.finalization%s
   --  system.storage_pools.subpools.finalization%b
   --  system.assertions%s
   --  system.assertions%b
   --  system.memory%s
   --  system.memory%b
   --  system.standard_library%b
   --  system.pool_global%s
   --  system.pool_global%b
   --  system.file_control_block%s
   --  ada.streams.stream_io%s
   --  system.file_io%s
   --  ada.streams.stream_io%b
   --  system.scalar_values%s
   --  system.scalar_values%b
   --  system.secondary_stack%s
   --  system.file_io%b
   --  system.storage_pools.subpools%b
   --  system.finalization_masters%b
   --  interfaces.c%b
   --  ada.tags%b
   --  system.soft_links%b
   --  system.os_lib%b
   --  ada.command_line%b
   --  system.secondary_stack%b
   --  system.address_image%b
   --  system.traceback%s
   --  ada.exceptions%b
   --  system.traceback%b
   --  ada.text_io%s
   --  ada.text_io%b
   --  ada.text_io.generic_aux%s
   --  ada.text_io.generic_aux%b
   --  ada.text_io.integer_aux%s
   --  ada.text_io.integer_aux%b
   --  gen_codeset%b
   --  END ELABORATION ORDER


end ada_main;
